<div class="container">
  <div class="section_searches_container">
    <br>
    <br>
    <h4>Cantidad de búsquedas por sección</h4>
    <select [(ngModel)]="section_supermarket_filter">
      <option value="todos">Todos</option>
      <option *ngFor="let supermarket of supermarkets" value="{{supermarket.id}}">{{supermarket.name}}</option>
    </select>
    <google-chart *ngFor="let section of sections_graph" [title]="section.name" [type]="TYPE_COLUMN_CHART" [data]="section.count"
      [columnNames]="columns" [width]="WIDTH" [height]="HEIGHT">
    </google-chart>
    <button class="btn btn-sm btn-primary btn-filter" style="text-align:center" (click)="getSectionsByFilter()">Todas las horas</button>
    <button class="btn btn-sm btn-primary btn-filter" style="text-align:center" (click)="getSectionsByFilter('morning')">Mañana</button>
    <button class="btn btn-sm btn-primary btn-filter" style="text-align:center" (click)="getSectionsByFilter('noon')">Tarde</button>
    <button class="btn btn-sm btn-primary btn-filter" style="text-align:center" (click)="getSectionsByFilter('night')">Noche</button>
  </div>

  <br>
  <br>
  <br>
  <br>
  <br>

  <div class="product_searches_container">
    <h4>Cantidad de búsquedas por producto</h4>
    <select [(ngModel)]="product_supermarket_filter">
      <option value="todos">Todos</option>
      <option *ngFor="let supermarket of supermarkets" value="{{supermarket.id}}">{{supermarket.name}}</option>
    </select>
    <google-chart *ngFor="let product of products_graph" [title]="product.name" [type]="TYPE_COLUMN_CHART" [data]="product.count"
      [columnNames]="productColumns" [width]="WIDTH" [height]="HEIGHT">
    </google-chart>
    <button class="btn btn-sm btn-primary btn-filter" style="text-align:center" (click)="getProductsByFilter()">Todas las horas</button>
    <button class="btn btn-sm btn-primary btn-filter" style="text-align:center" (click)="getProductsByFilter('morning')">Mañana</button>
    <button class="btn btn-sm btn-primary btn-filter" style="text-align:center" (click)="getProductsByFilter('noon')">Tarde</button>
    <button class="btn btn-sm btn-primary btn-filter" style="text-align:center" (click)="getProductsByFilter('night')">Noche</button>
  </div>

  <br>
  <br>
  <br>
  <br>
  <br>

  <div class="assistance_supermarket_searches_container">
    <h4>Cantidad de solicitudes de asistencia por lugar</h4>
    <select [(ngModel)]="assistance_section_supermarket_filter">
      <option value="todos">Todos</option>
      <option *ngFor="let supermarket of supermarkets" value="{{supermarket.id}}">{{supermarket.name}}</option>
    </select>
    <google-chart *ngFor="let section of assistance_section_graph" [title]="section.name" [type]="TYPE_COLUMN_CHART"
      [data]="section.count" [columnNames]="assistanceSectionColumns" [width]="WIDTH" [height]="HEIGHT">
    </google-chart>
    <button class="btn btn-sm btn-primary btn-filter" style="text-align:center" (click)="getAssistanceSupermarketByFilter()">Todas las horas</button>
    <button class="btn btn-sm btn-primary btn-filter" style="text-align:center" (click)="getAssistanceSupermarketByFilter('morning')">Mañana</button>
    <button class="btn btn-sm btn-primary btn-filter" style="text-align:center" (click)="getAssistanceSupermarketByFilter('noon')">Tarde</button>
    <button class="btn btn-sm btn-primary btn-filter" style="text-align:center" (click)="getAssistanceSupermarketByFilter('night')">Noche</button>
  </div>

  <br>
  <br>
  <br>
  <br>
  <br>

  <div class="assistance_supermarket_searches_container">
    <h4>Solicitudes de asistencia generadas por supermercado</h4>
    <google-chart *ngFor="let section of supermarket_assistance_graph" [title]="section.name" [type]="PIE_CHART"
      [data]="section.count" [columnNames]="supermarketAssistanceColumns" [width]="WIDTH" [height]="HEIGHT">
    </google-chart>
    <button class="btn btn-sm btn-primary btn-filter" style="text-align:center" (click)="getSupermarketAssistanceByFilter()">Todas las horas</button>
    <button class="btn btn-sm btn-primary btn-filter" style="text-align:center" (click)="getSupermarketAssistanceByFilter('morning')">Mañana</button>
    <button class="btn btn-sm btn-primary btn-filter" style="text-align:center" (click)="getSupermarketAssistanceByFilter('noon')">Tarde</button>
    <button class="btn btn-sm btn-primary btn-filter" style="text-align:center" (click)="getSupermarketAssistanceByFilter('night')">Noche</button>
  </div>
  
  <br>
  <br>
  <br>
  <br>
  <br>

  <div class="assistance_supermarket_searches_container">
      <h4>Solicitudes de asistencia resueltas por empleado</h4>
      <google-chart *ngFor="let user of employ_assistance_graph" [title]="user.name" [type]="PIE_CHART"
        [data]="user.count" [columnNames]="employAssistanceColumns" [width]="WIDTH" [height]="HEIGHT">
      </google-chart>
      <button class="btn btn-sm btn-primary btn-filter" style="text-align:center" (click)="getEmployAssistanceByFilter()">Todas las horas</button>
      <button class="btn btn-sm btn-primary btn-filter" style="text-align:center" (click)="getEmployAssistanceByFilter('morning')">Mañana</button>
      <button class="btn btn-sm btn-primary btn-filter" style="text-align:center" (click)="getEmployAssistanceByFilter('noon')">Tarde</button>
      <button class="btn btn-sm btn-primary btn-filter" style="text-align:center" (click)="getEmployAssistanceByFilter('night')">Noche</button>
    </div>

  <br>
  <br>
  <br>
  <br>
  <br>

  <div class="product_searches_container">
    <h4>Productos más buscados por supermercado</h4>
    <google-chart *ngFor="let super of supermercadosProductos" [title]="super.nombre" [type]="typeProdMasPreg" [data]="super.conteoProductos"
      [columnNames]="columnNamesCatMasPreg" [width]="myWidthCatMasPreg" [height]="myHeightCatMasPreg">
    </google-chart>
  </div>

  <br>
  <br>
  <br>
  <br>
</div>